Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 3bec50ae2f0e34d160b7c5524ce22736baa10388)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -14,11 +14,15 @@
 from sasmodels.weights import MODELS as POLYDISPERSITY_MODELS
 
-from sas.sasgui.guiframe.events import StatusEvent
-from sas.sasgui.guiframe.events import NewPlotEvent
-from sas.sasgui.guiframe.events import PlotQrangeEvent
+from sas.sasgui.guiframe.events import StatusEvent, NewPlotEvent, \
+    PlotQrangeEvent
 from sas.sasgui.guiframe.dataFitting import check_data_validity
-from sas.sasgui.guiframe.utils import format_number
-from sas.sasgui.guiframe.utils import check_float
+from sas.sasgui.guiframe.utils import format_number, check_float
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+from sas.sasgui.perspectives.fitting.basepage import BasicPage as BasicPage
+from sas.sasgui.perspectives.fitting.basepage import PageInfoEvent as \
+    PageInfoEvent
+from sas.sascalc.data_util.qsmearing import smear_selection
+from .basepage import ModelTextCtrl
 
 (Chi2UpdateEvent, EVT_CHI2_UPDATE) = wx.lib.newevent.NewEvent()
@@ -28,9 +32,4 @@
 SMEAR_SIZE_H = 0.00
 
-from sas.sasgui.perspectives.fitting.basepage import BasicPage as BasicPage
-from sas.sasgui.perspectives.fitting.basepage import PageInfoEvent as PageInfoEvent
-from sas.sascalc.data_util.qsmearing import smear_selection
-from .basepage import ModelTextCtrl
-
 
 class FitPage(BasicPage):
@@ -49,5 +48,5 @@
         BasicPage.__init__(self, parent, color=color)
 
-        ## draw sizer
+        # draw sizer
         self._fill_data_sizer()
         self.is_2D = None
@@ -72,5 +71,5 @@
         self.enable_fit_button()
         self.fill_data_combobox(data_list=self.data_list)
-        #create a default data for an empty panel
+        # create a default data for an empty panel
         self.create_default_data()
         self._manager.frame.Bind(wx.EVT_SET_FOCUS, self.on_set_focus)
@@ -105,5 +104,5 @@
         self.data_box_description.SetForegroundColour(dname_color)
         boxsizer1 = wx.StaticBoxSizer(self.data_box_description, wx.VERTICAL)
-        #----------------------------------------------------------
+        # ----------------------------------------------------------
         sizer_data = wx.BoxSizer(wx.HORIZONTAL)
         self.dataSource = wx.ComboBox(self, wx.ID_ANY, style=wx.CB_READONLY)
@@ -134,5 +133,5 @@
         self.enable_datasource()
         if len(data_list) > 0:
-            #find the maximum range covering all data
+            # find the maximum range covering all data
             qmin, qmax, npts = self.compute_data_set_range(data_list)
             self.qmin_data_set = qmin
@@ -185,5 +184,4 @@
 
         :return: True or False
-
         """
         if self.data.__class__.__name__ == "Data2D" or \
@@ -199,13 +197,13 @@
         buttons, xi^2, number of points etc.
         """
-        is_2Ddata = False
+        is_2d_data = False
 
         # Check if data is 2D
         if self.data.__class__.__name__ == "Data2D" or \
                         self.enable2D:
-            is_2Ddata = True
+            is_2d_data = True
 
         title = "Fitting"
-        #smear messages & titles
+        # smear messages & titles
         smear_message_none = "No smearing is selected..."
         smear_message_dqdata = "The dQ data is being used for smearing..."
@@ -225,5 +223,5 @@
         self._get_smear_info()
 
-        #Sizers
+        # Sizers
         box_description_range = wx.StaticBox(self, wx.ID_ANY, str(title))
         box_description_range.SetForegroundColour(wx.BLUE)
@@ -244,5 +242,5 @@
         sizer_weighting = wx.BoxSizer(wx.HORIZONTAL)
         weighting_box.SetMinSize((_DATA_BOX_WIDTH, 40))
-        #Filling the sizer containing weighting info.
+        # Filling the sizer containing weighting info.
         self.dI_noweight = wx.RadioButton(self, wx.ID_ANY,
                                           'No Weighting', style=wx.RB_GROUP)
@@ -286,5 +284,5 @@
                         self._on_select_accuracy)
 
-        #Fit button
+        # Fit button
         self.btFit = wx.Button(self, self._ids.next(), 'Fit')
         self.default_bt_colour = self.btFit.GetDefaultAttributes()
@@ -292,18 +290,18 @@
         self.btFit.SetToolTipString("Start fitting.")
 
-        #General Help button
+        # General Help button
         self.btFitHelp = wx.Button(self, wx.ID_ANY, 'Help')
         self.btFitHelp.SetToolTipString("General fitting help.")
         self.btFitHelp.Bind(wx.EVT_BUTTON, self._onFitHelp)
         
-        #Resolution Smearing Help button (for now use same technique as
-        #used for dI help to get tiniest possible button that works
-        #both on MAC and PC.  Should completely rewrite the fitting sizer 
-        #in future.  This is minimum to get out release 3.1
+        # Resolution Smearing Help button (for now use same technique as
+        # used for dI help to get tiniest possible button that works
+        # both on MAC and PC.  Should completely rewrite the fitting sizer
+        # in future.  This is minimum to get out release 3.1
         #        comment June 14, 2015     --- PDB
         if sys.platform.count("win32") > 0:
-            size_q = (20, 15)  #on PC
+            size_q = (20, 15)  # on PC
         else:
-            size_q = (30, 20)  #on MAC
+            size_q = (30, 20)  # on MAC
         self.btSmearHelp = wx.Button(self, wx.ID_ANY, '?',
                                      style=wx.BU_EXACTFIT, size=size_q)
@@ -311,5 +309,5 @@
         self.btSmearHelp.Bind(wx.EVT_BUTTON, self._onSmearHelp)
         
-        #textcntrl for custom resolution
+        # textcntrl for custom resolution
         self.smear_pinhole_max = ModelTextCtrl(self, wx.ID_ANY,
                             size=(_BOX_WIDTH - 25, 20),
@@ -329,5 +327,5 @@
                             text_enter_callback=self.onSlitSmear)
 
-        ## smear
+        # smear
         self.smear_data_left = BGTextCtrl(self, wx.ID_ANY,
                                           size=(_BOX_WIDTH - 25, 20), style=0)
@@ -337,5 +335,5 @@
         self.smear_data_right.SetValue(str(self.dq_r))
 
-        #set default values for smear
+        # set default values for smear
         self.smear_pinhole_max.SetValue(str(self.dx_max))
         self.smear_pinhole_min.SetValue(str(self.dx_min))
@@ -343,17 +341,17 @@
         self.smear_slit_width.SetValue(str(self.dxw))
 
-        #Filling the sizer containing instruments smearing info.
+        # Filling the sizer containing instruments smearing info.
         self.disable_smearer = wx.RadioButton(self, wx.ID_ANY,
                                               'None', style=wx.RB_GROUP)
         self.enable_smearer = wx.RadioButton(self, wx.ID_ANY, 'Use dQ Data')
-        #self.enable_smearer.SetToolTipString(
-        #"Click to use the loaded dQ data for smearing.")
+        # self.enable_smearer.SetToolTipString(
+        # "Click to use the loaded dQ data for smearing.")
         self.pinhole_smearer = wx.RadioButton(self, wx.ID_ANY,
                                               'Custom Pinhole Smear')
-        #self.pinhole_smearer.SetToolTipString
-        #("Click to input custom resolution for pinhole smearing.")
+        # self.pinhole_smearer.SetToolTipString
+        # ("Click to input custom resolution for pinhole smearing.")
         self.slit_smearer = wx.RadioButton(self, wx.ID_ANY, 'Custom Slit Smear')
-        #self.slit_smearer.SetToolTipString
-        #("Click to input custom resolution for slit smearing.")
+        # self.slit_smearer.SetToolTipString
+        # ("Click to input custom resolution for slit smearing.")
         self.Bind(wx.EVT_RADIOBUTTON, self.onSmear,
                   id=self.disable_smearer.GetId())
@@ -378,11 +376,11 @@
         self.Npts_fit = BGTextCtrl(self, wx.ID_ANY, "-", size=(75, 20), style=0)
         self.Npts_fit.SetToolTipString(
-                            " Npts : number of points selected for fitting")
+            " Npts : number of points selected for fitting")
         self.Npts_total = ModelTextCtrl(self, wx.ID_ANY, size=(_BOX_WIDTH, 20),
-                            style=wx.TE_PROCESS_ENTER,
-                            text_enter_callback=self._onQrangeEnter)
+                                        style=wx.TE_PROCESS_ENTER,
+                                        text_enter_callback=self._onQrangeEnter)
         self.Npts_total.SetValue(format_number(self.npts_x))
-        self.Npts_total.SetToolTipString(\
-                                " Total Npts : total number of data points")
+        self.Npts_total.SetToolTipString(
+            " Total Npts : total number of data points")
 
         # Update and Draw button
@@ -429,5 +427,5 @@
         self.smear_description_2d_y = wx.StaticText(self, wx.ID_ANY,
                             smear_message_2d_y_title, style=wx.ALIGN_LEFT)
-        self.smear_description_2d_y.SetToolTipString(\
+        self.smear_description_2d_y.SetToolTipString(
                                     " dQs(perpendicular) in q_phi direction.")
         self.smear_description_pin_min = wx.StaticText(self, wx.ID_ANY,
@@ -440,41 +438,37 @@
                         smear_message_slit_width_title, style=wx.ALIGN_LEFT)
 
-        #arrange sizers
+        # arrange sizers
         self.sizer_set_smearer.Add(sizer_smearer)
         self.sizer_set_smearer.Add((10, 10))
         self.sizer_set_smearer.Add(self.smear_description_none,
-                                    0, wx.CENTER, 10)
+                                   0, wx.CENTER, 10)
         self.sizer_set_smearer.Add(self.smear_description_dqdata,
-                                    0, wx.CENTER, 10)
+                                   0, wx.CENTER, 10)
         self.sizer_set_smearer.Add(self.smear_description_2d,
-                                    0, wx.CENTER, 10)
+                                   0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_type,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_accuracy_type,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_accuracy)
         self.sizer_new_smear.Add(self.smear_description_smear_type,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add((15, -1))
-        self.sizer_new_smear.Add(self.smear_description_2d_x,
-                                  0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_description_2d_x, 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_pin_min,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_slit_height,
-                                  0, wx.CENTER, 10)
-
-        self.sizer_new_smear.Add(self.smear_pinhole_min,
-                                  0, wx.CENTER, 10)
-        self.sizer_new_smear.Add(self.smear_slit_height,
-                                  0, wx.CENTER, 10)
-        self.sizer_new_smear.Add(self.smear_data_left,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
+
+        self.sizer_new_smear.Add(self.smear_pinhole_min, 0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_slit_height, 0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_data_left, 0, wx.CENTER, 10)
         self.sizer_new_smear.Add((20, -1))
         self.sizer_new_smear.Add(self.smear_description_2d_y,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_pin_max,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
         self.sizer_new_smear.Add(self.smear_description_slit_width,
-                                  0, wx.CENTER, 10)
+                                 0, wx.CENTER, 10)
 
         self.sizer_new_smear.Add(self.smear_pinhole_max, 0, wx.CENTER, 10)
@@ -501,6 +495,6 @@
 
         # Show only the relevant smear messages, etc
-        if self.current_smearer == None:
-            if not is_2Ddata:
+        if self.current_smearer is None:
+            if not is_2d_data:
                 self.smear_description_none.Show(True)
                 self.enable_smearer.Disable()
@@ -508,5 +502,5 @@
                 self.smear_description_none.Show(True)
                 self.slit_smearer.Disable()
-            if self.data == None:
+            if self.data is None:
                 self.slit_smearer.Disable()
                 self.pinhole_smearer.Disable()
@@ -515,10 +509,10 @@
             self._show_smear_sizer()
         boxsizer_range.Add(self.sizer_set_masking)
-        #2D data? default
-        is_2Ddata = False
-
-        #check if it is 2D data
+        # 2D data? default
+        is_2d_data = False
+
+        # check if it is 2D data
         if self.data.__class__.__name__ == "Data2D" or self.enable2D:
-            is_2Ddata = True
+            is_2d_data = True
 
         self.sizer5.Clear(True)
@@ -568,5 +562,5 @@
         sizer.Add(wx.StaticText(self, wx.ID_ANY, ' Max[1/A]'))
         sizer.Add(self.EditMask_title)
-        sizer.Add((-1,5))
+        sizer.Add((-1, 5))
 
         sizer.Add(self.reset_qrange)
@@ -574,7 +568,7 @@
         sizer.Add(self.qmax)
         sizer.Add(self.btEditMask)
-        sizer.Add((-1,5))
-
-        sizer.AddMany(5*[(-1,5)])
+        sizer.Add((-1, 5))
+
+        sizer.AddMany(5*[(-1, 5)])
 
         sizer.Add(box_description_1, 0, 0)
@@ -582,5 +576,5 @@
         sizer.Add(self.points_sizer, 0, 0)
         sizer.Add(self.draw_button, 0, 0)
-        sizer.Add((-1,5))
+        sizer.Add((-1, 5))
         
         sizer.Add(self.tcChi, 0, 0)
@@ -592,5 +586,5 @@
         boxsizer_range.Add(sizer_chi2)
         boxsizer_range.Add(sizer)
-        if is_2Ddata:
+        if is_2d_data:
             self.btEditMask.Enable()
             self.EditMask_title.Enable()
@@ -598,10 +592,9 @@
             self.btEditMask.Disable()
             self.EditMask_title.Disable()
-        ## save state
+        # save state
         self.save_current_state()
         self.sizer5.Add(boxsizer_range, 0, wx.EXPAND | wx.ALL, 10)
         self.sizer5.Layout()
 
-
     def _set_sizer_dispersion(self):
         """
@@ -613,14 +606,14 @@
 
         self.sizer4_4.Clear(True)
-        if self.model == None:
-            ##no model is selected
+        if self.model is None:
+            # no model is selected
             return
         if not self.enable_disp.GetValue():
-            ## the user didn't select dispersity display
+            # the user didn't select dispersity display
             return
 
         self._reset_dispersity()
 
-        ## fill a sizer with the combobox to select dispersion type
+        # fill a sizer with the combobox to select dispersion type
         model_disp = wx.StaticText(self, wx.ID_ANY, 'Function')
         CHECK_STATE = False
@@ -645,10 +638,10 @@
             err_text = ''
         self.text_disp_1 = wx.StaticText(self, wx.ID_ANY, err_text)
-        self.sizer4_4.Add(self.text_disp_1, (iy, ix), (1, 1), \
+        self.sizer4_4.Add(self.text_disp_1, (iy, ix), (1, 1),
                           wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
         ix += 1
         self.text_disp_min = wx.StaticText(self, wx.ID_ANY, 'Min')
-        self.sizer4_4.Add(self.text_disp_min, (iy, ix), (1, 1), \
+        self.sizer4_4.Add(self.text_disp_min, (iy, ix), (1, 1),
                             wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
@@ -683,6 +676,6 @@
                 if item in self.model.magnetic_params:
                     continue
-            if not item in self.model.orientation_params:
-                if not item in self.disp_cb_dict:
+            if item not in self.model.orientation_params:
+                if item not in self.disp_cb_dict:
                     self.disp_cb_dict[item] = None
                 name0 = "Distribution of " + item
@@ -690,5 +683,5 @@
                 name2 = item + ".npts"
                 name3 = item + ".nsigmas"
-                if not name1 in self.model.details:
+                if name1 not in self.model.details:
                     self.model.details[name1] = ["", None, None]
 
@@ -716,5 +709,5 @@
                         ctl1.SetValue(str(format_number(value, True)))
                         self.sizer4_4.Add(ctl1, (iy, ix), (1, 1), wx.EXPAND)
-                        ## text to show error sign
+                        # text to show error sign
                         ix = 2
                         text2 = wx.StaticText(self, wx.ID_ANY, '+/-')
@@ -776,5 +769,5 @@
                         Tct2.SetValue(str(format_number(value)))
                         self.sizer4_4.Add(Tct2, (iy, ix), (1, 1),
-                                           wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+                                          wx.EXPAND | wx.ADJUST_MINSIZE, 0)
                         self.fixed_param.append([None, name3, Tct2,
                                                  None, None, None,
@@ -802,6 +795,6 @@
                 if item in self.model.magnetic_params:
                     continue
-            if  item in self.model.orientation_params:
-                if not item in self.disp_cb_dict:
+            if item in self.model.orientation_params:
+                if item not in self.disp_cb_dict:
                     self.disp_cb_dict[item] = None
                 name0 = "Distribution of " + item
@@ -810,5 +803,5 @@
                 name3 = item + ".nsigmas"
 
-                if not name1 in self.model.details:
+                if name1 not in self.model.details:
                     self.model.details[name1] = ["", None, None]
 
@@ -855,5 +848,5 @@
 
                         self.sizer4_4.Add(ctl1, (iy, ix), (1, 1), wx.EXPAND)
-                        ## text to show error sign
+                        # text to show error sign
                         ix = 2
                         text2 = wx.StaticText(self, wx.ID_ANY, '+/-')
@@ -968,5 +961,5 @@
 
         self.state.model = self.model.clone()
-        ## save state into
+        # save state into
         self._copy_parameters_state(self.parameters, self.state.parameters)
         self._copy_parameters_state(self.orientation_params_disp,
@@ -978,5 +971,5 @@
         wx.PostEvent(self.parent,
                      StatusEvent(status=" Selected Distribution: Gaussian"))
-        #Fill the list of fittable parameters
+        # Fill the list of fittable parameters
         self.get_all_checked_params()
         self.Layout()
@@ -986,5 +979,5 @@
         Update and Draw the model
         """
-        if self.model == None:
+        if self.model is None:
             msg = "Please select a Model first..."
             wx.MessageBox(msg, 'Info')
@@ -996,7 +989,7 @@
             self.create_default_data()
         """
-        flag,is_modified = self._update_paramv_on_fit()
-
-        wx.CallAfter(self._onparamEnter_helper,is_modified)
+        flag, is_modified = self._update_paramv_on_fit()
+
+        wx.CallAfter(self._onparamEnter_helper, is_modified)
         if not flag:
             msg = "The parameters are invalid"
@@ -1008,5 +1001,5 @@
         Allow to fit
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         if self.fit_started:
@@ -1048,5 +1041,5 @@
             return
 
-        self.select_param(event=None)
+        self.select_param()
 
         # Remove or do not allow fitting on the Q=0 point, especially
@@ -1059,6 +1052,6 @@
                                     qmax=self.qmax_x)
 
-        #single fit
-        #self._manager.onFit(uid=self.uid)
+        # single fit
+        # self._manager.onFit(uid=self.uid)
         self.fit_started = self._manager.onFit(uid=self.uid)
         wx.CallAfter(self.set_fitbutton)
@@ -1073,9 +1066,9 @@
         versions of Wx (before 2.9) and thus not the release version of
         installers, the help comes up at the top level of the file as
-        webbrowser does not pass anything past the # to the browser when it is
+        web browser does not pass anything past the # to the browser when it is
         running "file:///...."
 
-    :param evt: Triggers on clicking the help button
-    """
+        :param evt: Triggers on clicking the help button
+        """
 
         _TreeLocation = "user/sasgui/perspectives/fitting/fitting_help.html"
@@ -1092,9 +1085,9 @@
         versions of Wx (before 2.9) and thus not the release version of
         installers, the help comes up at the top level of the file as
-        webbrowser does not pass anything past the # to the browser when it is
+        web browser does not pass anything past the # to the browser when it is
         running "file:///...."
 
-    :param evt: Triggers on clicking the help button
-    """
+        :param evt: Triggers on clicking the help button
+        """
 
         _TreeLocation = "user/sasgui/perspectives/fitting/sm_help.html"
@@ -1108,5 +1101,5 @@
         """
         # Skip this feature if we are not on Windows
-        #NOTE: the is_mac data member actually means "is no Windows".
+        # NOTE: the is_mac data member actually means "is no Windows".
         if self.is_mac:
             return
@@ -1118,5 +1111,5 @@
             label = "Fit"
             color = "black"
-        #self.btFit.Enable(False)
+        # self.btFit.Enable(False)
         self.btFit.SetLabel(label)
         self.btFit.SetForegroundColour(color)
@@ -1149,5 +1142,5 @@
         Stop fit
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         self._manager.stop_fit(self.uid)
@@ -1169,6 +1162,6 @@
         copy_flag = False
         is_poly_enabled = None
-        if event != None:
-            if (event.GetEventObject() == self.formfactorbox\
+        if event is not None:
+            if (event.GetEventObject() == self.formfactorbox
                         and self.structurebox.GetLabel() != 'None')\
                         or event.GetEventObject() == self.structurebox\
@@ -1183,5 +1176,4 @@
             self._keep.Enable(False)
             self._set_save_flag(False)
-        # TODO: why do we have to variables for one flag??
         self.enable_disp.SetValue(False)
         self.disable_disp.SetValue(True)
@@ -1213,4 +1205,5 @@
                     self._keep.Enable(not self.batch_on)
                     self._set_save_flag(True)
+                    self._set_smear(self.data)
 
             # more disables for 2D
@@ -1226,11 +1219,10 @@
             except:
                 raise
-                ## error occured on chisqr computation
-                #pass
-            ## event to post model to fit to fitting plugins
+                # error occured on chisqr computation
+                # pass
+            # event to post model to fit to fitting plugins
             (ModelEventbox, EVT_MODEL_BOX) = wx.lib.newevent.NewEvent()
 
-            ## set smearing value whether or not
-            #    the data contain the smearing info
+            # set smearing value whether or not data contain the smearing info
             evt = ModelEventbox(model=self.model,
                             smearer=temp_smear,
@@ -1242,14 +1234,15 @@
 
             self._manager._on_model_panel(evt=evt)
-            self.mbox_description.SetLabel("Model [ %s ]" % str(self.model.name))
+            self.mbox_description.SetLabel("Model [ %s ]" %
+                                           str(self.model.name))
             self.mbox_description.SetForegroundColour(wx.BLUE)
             self.state.model = self.model.clone()
             self.state.model.name = self.model.name
 
-        if event != None:
-            ## post state to fit panel
+        if event is not None:
+            # post state to fit panel
             new_event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, new_event)
-            #update list of plugins if new plugin is available
+            # update list of plugins if new plugin is available
             custom_model = 'Customized Models'
             mod_cat = self.categorybox.GetStringSelection()
@@ -1264,5 +1257,5 @@
                     self.formfactorbox.SetValue(current_val)
             # when select a model only from guictr/button
-            if is_poly_enabled != None:
+            if is_poly_enabled is not None:
                 self.enable_disp.SetValue(is_poly_enabled)
                 self.disable_disp.SetValue(not is_poly_enabled)
@@ -1292,15 +1285,15 @@
         when enter value on panel redraw model according to changed
         """
-        if self.model == None:
+        if self.model is None:
             msg = "Please select a Model first..."
             wx.MessageBox(msg, 'Info')
             return
 
-        #default flag
+        # default flag
         flag = False
         self.fitrange = True
-        #get event object
+        # get event object
         tcrtl = event.GetEventObject()
-        #Clear msg if previously shown.
+        # Clear msg if previously shown.
         msg = ""
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -1313,6 +1306,6 @@
                 if not self.disable_smearer.GetValue():
                     temp_smearer = self.current_smearer
-                    ## set smearing value whether or not
-                    #        the data contain the smearing info
+                    # set smearing value whether or not data contain the
+                    # smearing info
                     if self.slit_smearer.GetValue():
                         flag1 = self.update_slit_smear()
@@ -1331,9 +1324,9 @@
                                               enable_smearer=enable_smearer)
                 if flag:
-                    #self.compute_chisqr(smearer= temp_smearer)
-
-                    ## new state posted
+                    # self.compute_chisqr(smearer= temp_smearer)
+
+                    # new state posted
                     if self.state_change:
-                        #self._undo.Enable(True)
+                        # self._undo.Enable(True)
                         event = PageInfoEvent(page=self)
                         wx.PostEvent(self.parent, event)
@@ -1345,5 +1338,5 @@
         else:
             self.save_current_state()
-            msg = "Cannot Plot :Must enter a number!!!  "
+            msg = "Cannot Plot: Must enter a number!!!  "
             wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
 
@@ -1356,5 +1349,5 @@
         """
         tcrtl = event.GetEventObject()
-        #Clear msg if previously shown.
+        # Clear msg if previously shown.
         msg = ""
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -1374,5 +1367,5 @@
             tcrtl.SetBackgroundColour(wx.WHITE)
 
-        #self._undo.Enable(True)
+        # self._undo.Enable(True)
         self.save_current_state()
         event = PageInfoEvent(page=self)
@@ -1384,7 +1377,7 @@
         ON Qrange focus
         """
-        if event != None:
+        if event is not None:
             event.Skip()
-        #tcrtl = event.GetEventObject()
+        # tcrtl = event.GetEventObject()
         self._validate_qrange(self.qmin, self.qmax)
 
@@ -1393,5 +1386,5 @@
         On Qrange textctrl click, make the qrange lines in the plot
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         if self.data.__class__.__name__ == "Data2D":
@@ -1411,5 +1404,5 @@
         #On q range value updated. DO not combine with qrange_click().
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         if self.data.__class__.__name__ == "Data2D":
@@ -1439,5 +1432,5 @@
         length = len(self.data.x)
         indx = (numpy.abs(self.data.x - x_data)).argmin()
-        #return array.flat[idx]
+        # return array.flat[idx]
         if key == wx.WXK_PAGEUP or key == wx.WXK_NUMPAD_PAGEUP:
             indx += 1
@@ -1458,5 +1451,5 @@
         """
         tcrtl = event.GetEventObject()
-        #Clear msg if previously shown.
+        # Clear msg if previously shown.
         msg = ""
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -1488,5 +1481,5 @@
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
-            #Check if # of points for theory model are valid(>0).
+            # Check if # of points for theory model are valid(>0).
             # check for 2d
             if self.data.__class__.__name__ == "Data2D" or \
@@ -1495,6 +1488,5 @@
                 radius = numpy.sqrt(self.data.qx_data * self.data.qx_data +
                                     self.data.qy_data * self.data.qy_data)
-                index_data = ((self.qmin_x <= radius) & \
-                                (radius <= self.qmax_x))
+                index_data = ((self.qmin_x <= radius) & (radius <= self.qmax_x))
                 index_data = (index_data) & (self.data.mask)
                 index_data = (index_data) & (numpy.isfinite(self.data.data))
@@ -1506,9 +1498,9 @@
                     return
                 else:
-                    #self.data.mask = index_data
-                    #self.Npts_fit.SetValue(str(len(self.data.mask)))
+                    # self.data.mask = index_data
+                    # self.Npts_fit.SetValue(str(len(self.data.mask)))
                     self.show_npts2fit()
             else:
-                index_data = ((self.qmin_x <= self.data.x) & \
+                index_data = ((self.qmin_x <= self.data.x) &
                               (self.data.x <= self.qmax_x))
                 self.Npts_fit.SetValue(str(len(self.data.x[index_data])))
@@ -1543,5 +1535,5 @@
             for item in self.parameters:
                 if item[0].IsShown():
-                    #Skip the angle parameters if 1D data
+                    # Skip the angle parameters if 1D data
                     if self.data.__class__.__name__ != "Data2D" and \
                             not self.enable2D:
@@ -1550,11 +1542,11 @@
                     if item in self.param_toFit:
                         continue
-                    ## hide statictext +/-
+                    # hide statictext +/-
                     if len(item) < 4:
                         continue
-                    if item[3] != None and item[3].IsShown():
+                    if item[3] is not None and item[3].IsShown():
                         item[3].Hide()
-                    ## hide textcrtl  for error after fit
-                    if item[4] != None and item[4].IsShown():
+                    # hide textcrtl  for error after fit
+                    if item[4] is not None and item[4].IsShown():
                         item[4].Hide()
 
@@ -1562,5 +1554,5 @@
             for item in self.fittable_param:
                 if item[0].IsShown():
-                    #Skip the angle parameters if 1D data
+                    # Skip the angle parameters if 1D data
                     if self.data.__class__.__name__ != "Data2D" and \
                             not self.enable2D:
